Fortinet FortiClient 6.4.x < 6.4.6 / 7.x < 7.0.1 Dylib Injection (FG-IR-21-079) (macOS)

medium Nessus Plugin ID 155789

Synopsis

The remote macOS host is affected by a Dylib injection vulnerability.

Description

The remote macOS host is running a version of Fortinet FortiClient that is 6.4.x prior to 6.4.6 or 7.x prior to 7.0.1.
It is, therefore, affected by a dylib injection vulnerability. An authenticated, local attacker can exploit this, by replacing the FortiClient camera handling library with a malicious one, to hijack the macOS camera.

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Fortinet FortiClient 6.4.6, 7.0.1, or later.

See Also

https://www.fortiguard.com/psirt/FG-IR-21-079

Plugin Details

Severity: Medium

ID: 155789

File Name: macos_forticlient_FG-IR-21-079.nasl

Version: 1.3

Type: local

Agent: macosx

Published: 12/2/2021

Updated: 12/3/2021

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Low

Base Score: 3.5

Temporal Score: 2.6

Vector: AV:N/AC:M/Au:S/C:N/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-42754

CVSS v3

Risk Factor: Medium

Base Score: 5

Temporal Score: 4.4

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:H/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:fortinet:forticlient

Required KB Items: installed_sw/FortiClient (macOS)

Exploit Ease: No known exploits are available

Patch Publication Date: 7/13/2021

Vulnerability Publication Date: 11/2/2021

Reference Information

CVE: CVE-2021-42754

IAVA: 2021-A-0562